@font-face {
    font-family: 'Roboto Regular';
    src: url('../fonts/Roboto-Regular.ttf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'DMSerifDisplay Regular';
    src: url('../fonts/DMSerifDisplay-Regular.ttf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Inter';
    src: url('../fonts/Inter-Regular.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

:root {
    --color-gris: #505050;
    --color-gris-claro: #fafafa;
    --color-cian: #00aabc;
    --color-verde: #bed630;
    --color-hover: #18bc9c;
    --color-letras-negras: #1d2b2f;
    --color-hover-principal: #38342cc9;
    --color-blanco-principal: #f1eee9;
}

::selection {
    background: var(--color-cian);
    color: var(--color-blanco-principal);
}


body {
    margin: 0;
    font-family: Helvetica, Arial, sans-serif;
    color: var(--color-letras-negras);
}

/* html, body {
    overflow-x: hidden;
    width: 100%;
    position: relative;
} */

html {
    scroll-padding-top: 130px;
    scroll-behavior: smooth;
}

body {
    overflow-x: hidden;
    width: 100%;
    position: relative;
}

h1 {
    font-family: "DMSerifDisplay Regular", Georgia, serif;
    font-size: 54px;
    margin: 14px 0 10px;
    font-weight: 400;
}

h2 {
    font-size: 24px;
    font-weight: bold;
    text-transform: uppercase;
}

h3 {
    font-size: 19px;
    font-weight: bold;
    text-transform: uppercase;
}

.descripcion-frontend h1 em {
    color: var(--color-cian);
}

.region.region-content>div {
    margin: 50px 0px;
}

main {
    background: radial-gradient(1200px 400px at 20% 0%, rgba(122, 201, 67, .2), transparent 60%),
        radial-gradient(900px 350px at 80% 10%, rgba(0, 151, 167, .18), transparent 55%);
}

.logo-header img {
    max-width: 290px;
    max-height: 90px;
}

header {
    position: fixed;
    right: 0;
    left: 0;
    z-index: 9999;
}


/***************************** CLASS FULL WIDTH *****************************/
.full-width {
    width: 100vw;
    position: relative;
    max-width: 100vw;
    border-radius: 0;
    left: calc(-50vw + 50%);
}

/***************************** NAVBAR **************************/

nav.navbar {
    /* position: fixed;
  top: 70px; */
    width: 100%;
    margin: 0 auto;
    max-width: 100%;
    right: 0;
    left: 0;
    background: white !important;
}

/***************************** BLOCK REDES SOCIALES (CLASS redes-sociales) **************************/
.redes-sociales.block .field--name-body .field__item {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.redes-sociales.block .field--name-body svg {
    color: white !important;
}

.redes-sociales.block .field--name-body svg:hover {
    color: var(--color-verde) !important;
}

.redes-sociales.block {
    background: var(--color-cian);
    padding: 10px 0px;
    text-align: center;
}



/***************************** BLOQUES CON IMAGENES **************************/
.imagen-derecha>div>div:first-of-type {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    gap: 15px;
}

.imagen-derecha .grupo-titulo-descripcion,
.imagen-izquierda .grupo-titulo-descripcion {
    flex-basis: 60%;
}

.block.imagen-izquierda>div>div {
    display: flex;
    flex-direction: row-reverse;
    align-items: flex-start;
    justify-content: flex-end;
    gap: 15px;
}

.field--name-field-imagen-bloque img {
    border-radius: 10px;
}

.block-content--type-bloque-con-imagen ul {
    padding-left: 10px !important;
}

.block-content--type-bloque-con-imagen li {
    padding-left: 10px;
}

.block-content--type-bloque-con-imagen li::marker {
    content: url("https://bionogoya-dev.ddev.site/sites/default/files/imagenes/iconos/vinieta.png");
}


/***************************** BLOQUE RESPONSABILIDAD EMPRESARIAL *************************/
.block-responsabilidad {
    background: var(--color-cian);
    border-radius: 10px;
    padding: 25px;
}

.block-responsabilidad .field--name-body .field__item {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
}

.block-responsabilidad .field--name-body p {
    margin: 0;
    color: white;
}

.block-responsabilidad .field--name-body h3 {
    color: white;
}

.block-responsabilidad .field--name-body a {
    white-space: nowrap;
    padding: 12px 16px;
}

.block-responsabilidad .field--name-body .field__item>div {
    width: 65%;
}

.block-responsabilidad .field--name-body .field__item>p.text-end {
    width: 35%;
}




/***************************** BLOQUE DESCRIPCION Y VIDEOS **************************/

.block-descripcion-videos {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    gap: 10%;
}

.block-descripcion-videos .descripcion-frontend {
    width: 45%;
}

.block-descripcion-videos .slicks-videos-view {
    width: 45%;
}

.splide__slide iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
    display: block;
    border-radius: 10px;
}

.block-descripcion-videos {
    padding-top: 195px;
    margin-top: 0 !important;
}

.splide__arrow svg {
    fill: var(--color-cian) !important;
}


/************** GALERIA DE IMAGENES **************/
.block-galeria .field--name-field-imagenes-galeria {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1%;
    row-gap: 10px;
}

.block-galeria .field--name-field-imagenes-galeria .field__item {
    flex-basis: 19.2%;
}

.block-galeria .field--name-field-imagenes-galeria .field__item a,
.block-galeria .field--name-field-imagenes-galeria .field__item img {
    width: 100%;
    border-radius: 10px;
}

.block-galeria .field--name-field-imagenes-galeria .field__item a:hover,
.block-galeria .field--name-field-imagenes-galeria .field__item img:hover {
    opacity: 0.9;
}


/***************************** CONTACTANOS Y MAPA **************************/
.block-contactanos {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 1%;
}

.block-map {
    flex-basis: 60%;
}

.block-contacto {
    flex-basis: 39%;
}

.block-map iframe {
    width: 100%;
    border-radius: 10px;
}


/***************************** FOOTER **************************/

footer {
    background: var(--color-cian);
}

.region.region-footer {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.menu-footer nav p {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin: 0;
}

.menu-footer nav a {
    padding: 10px 20px;
    text-transform: uppercase;
}

.menu-footer nav a:hover {
    color: var(--color-verde) !important;
}

/* FOOTER */
/* El contenedor del texto */
.lansdev-text {
    margin: 0;
    font-size: 0.85em;
}

/* El enlace: blanco por defecto */
.lansdev-main-link {
    text-decoration: none;
    color: #ffffff; /* Todo el texto en blanco */
    transition: color 0.3s ease;
}

/* Estilo de la marca (Lans y Dev) */
.lansdev-brand {
    font-weight: 700;
    color: #ffffff; /* Aseguramos que empiecen en blanco */
    transition: color 0.4s ease;
}
div#block-b5subtheme-desarrolladoporlansdev {
    flex: 100%;
    text-align: center;
}

/* --- EFECTOS HOVER --- */

/* Al hacer hover sobre el enlace, cambiamos cada parte */
.lansdev-main-link:hover .part-lans {
    color: #0B3C5D; 
}

.lansdev-main-link:hover .part-dev {
    color: #1DD3C6; 
}

/* Opcional: que el resto del texto (Desarrollado por / ©) 
   cambie ligeramente de blanco a un gris claro al hacer hover */
.lansdev-main-link:hover {
    color: #f8f9fa;
}


/*********************** BLOQUE DE WHATSAPP ******************/
.block-whatsapp {
    position: fixed;
    bottom: 20px;
    left: 20px;
    z-index: 1000;
    margin: 0 !important;
    padding: 0 !important;
}

.block-whatsapp img {
    max-width: 54px;
    max-height: 55px;
}